GetEnvironments - GET
|
Path |
/api/projects/{projectId}/environments |
|---|---|
|
Http Method |
GET |
Overview
Required permissions
To access the list of environments the user has access to ( read , DEPLOY or EXECUTE on the specific environment):
-
None
To access the list of all environments:
-
Read access to the Configure module. CONFIGURE read
Response
Success response (200 OK)
JSON
{
"_embedded": {
"environments": [
{
"id": "a2a58d9ac8784c26b6b53bc3d42a5f7e",
"name": "modeling",
"databaseName": "default_modeling",
"versionDeployed": "1",
"useForModeling": true,
"isProduction": false,
"databaseServer": "POSTGRESQL",
"enabled": true
}
]
},
"sort": [],
"index": 0,
"limit": 10,
"expand": [],
"total": 1
}